org.apache.pdfbox.preflight.metadata

## Class RDFAboutAttributeConcordanceValidation

- java.lang.Object
- - org.apache.pdfbox.preflight.metadata.RDFAboutAttributeConcordanceValidation

    public class RDFAboutAttributeConcordanceValidation
    extends Object

Class which checks that all elements within an rdf:RDF have the same value for their rdf:about attributes.

Author:
  Germain Costenobel

### Nested Class Summary

Nested Classes
`static class` `RDFAboutAttributeConcordanceValidation.DifferentRDFAboutException`

### Constructor Summary

Constructors
Constructor and Description
`RDFAboutAttributeConcordanceValidation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validateRDFAboutAttributes(org.apache.xmpbox.XMPMetadata metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDFAboutAttributeConcordanceValidation

    public RDFAboutAttributeConcordanceValidation()

### Method Detail

#### validateRDFAboutAttributes

    public void validateRDFAboutAttributes(org.apache.xmpbox.XMPMetadata metadata)
                                    throws ValidationException,
                                           RDFAboutAttributeConcordanceValidation.DifferentRDFAboutException

Parameters:
  `metadata` - the XMP metadata.
Throws:
  `RDFAboutAttributeConcordanceValidation.DifferentRDFAboutException`
  `ValidationException`